<td class="mat-cell">
  <mat-form-field appearance="outline">
    <input
      [disabled]="disabled"
      matInput
      type="number"
      min="{{ this.min }}"
      max="{{ this.max }}"
      step="{{ this.step }}"
      [ngModel]="this.value"
      [formControl]="input"
      (ngModelChange)="onChangeInput($event)"
    />
    <mat-error>Invalid value.</mat-error>
  </mat-form-field>
</td>
